
.box {
    position: absolute;
    outline: 2px solid;
    outline-offset: -1px;
}

.hurt {
    outline-color: rgba(0, 128, 0, 0.8);
    background-color: rgba(144, 238, 144, 0.5);
    z-index: 1;
}

.hurt.armor {
    outline-color: rgba(141, 0, 255, 0.8);
    background-color: rgba(204, 0, 255, 0.1);
    z-index: 1;
}

.push {
    outline-color: rgba(255, 165, 0, 0.8);
    background-color: rgba(255, 165, 0, 0.5);
    z-index: 3;
}

.proximity {
    outline-color: rgba(220, 220, 220, 0.8);
    background-color: rgba(220, 220, 220, 0.5);
}

.hit {
    outline-color: rgba(255, 0, 0, 0.8);
    background-color: rgba(255, 0, 0, 0.5);
    z-index: 5;
}
.box.old, .box.removed {
    outline-width: 1px;
    outline-style: dashed;
    outline-offset: -0.5px;
    background-color: transparent;
    z-index: 15;
}
.box.old.selected, .box.removed.selected {
    outline-style: dashed;
    z-index: 20;
}
.box.selected  {
    outline-color: blue;
    z-index: 10;
}

.cross-x {
    position: absolute;
    outline: 2px solid gray;
    outline-offset: -1px;
    left: -8px;
    bottom: 0;
    width: 16px;
    height: 0;
}

.cross-y {
    position: absolute;
    outline: 2px solid gray;
    outline-offset: -1px;
    left: 0;
    bottom: -8px;
    width: 0;
    height: 16px;
}

#hitbox-shift, #old-hitbox-shift {
    position: absolute;
    left: 0;
    bottom: 0;
}

#position-shift, #old-position-shift {
    position: absolute;
    bottom: 0;
    left: 400px;
}

.zero {
    position: absolute;
    top: 0;
    bottom: 0;
    outline: 1px solid gray;
    outline-offset: -0.5px;
}

.grid {
    border-left: 1px solid lightgray;
    cursor: pointer;
    position: absolute;
    padding-left: 5px;
    top: 0;
    bottom: 0;
    width: 30px;
}

.grid.selected {
    background-color: rgb(255, 255, 144);
}

.grid.interrupt {
    background-color: rgba(0, 0, 0, 0.1);
}

.grid.interrupt.selected {
    background-color: rgb(235, 235, 152);
}

.property {
    display: inline-block;
    font-size: x-small;
    border: 1px solid gray;
    border-radius: 6px;
    margin: 4px 0 0 5px;
    line-height: 11px;
    padding: 2px;
    background-color: white;
}

.property.added {
    background-color: hsl(120, 100%, 50%);
}

.property.changed {
    background-color: hsl(39, 100%, 75%);
}

.property.removed {
    background-color: hsl(0, 100%, 80%);
}

.property-container {
    position: absolute;
    white-space: nowrap;
    z-index: 1;
}

.timeline {
    position: absolute;
    height: 25px;
    border-bottom: 1px solid black;
    border-left: 3px solid black;
    border-right: 3px solid black;
    border-radius: 0 0 5px 5px;
    cursor: pointer;
}


.timeline.added {
    border-color: green;
    background-color: hsl(120, 100%, 80%);
}

.timeline.removed {
    border-color: red;
    background-color: hsl(0, 100%, 80%);
}

.timeline.selected {
    background-color: hsl(195, 53%, 80%);
}

.timeline.start-changed {
    border-left-color: orange;
}

.timeline.end-changed {
    border-right-color: orange;
}

.timeline.shape-changed {
    border-bottom-color: orange;
}

.timeline-header {
    position: relative;
    left: 0;
    padding: 4px;
    border-top: 2px dotted #6a6a6a;
    cursor: pointer;
}

.timeline-header-spacer {
    position: relative;
    left: 0;
    right: 0;
    width: 0;
    height: 30px;
}

.timeline-header em {
    background-color: white;
}

.timeline-container {
    width: 100%;
    overflow-x: auto;
    height: 100%;
}

.main-body {
    position: absolute;
    top: 370px;
    bottom: 0;
    left: 0;
    right: 0;
}
.main-body > div {
    height: 100%;
    overflow: auto;
}
.main-body > div > div.col-lg-9 {
    height: 100%;
}

.box-container {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    border-bottom: 1px solid gray;
    height: 350px;
}
#rangebox {
    position: absolute;
    top: 40px;
    padding: 1em;
    font-size: smaller;
}
#statebox {
    position: absolute;
    top: 220px;
    padding: 1em;
    font-size: smaller;
}
.positions {
    position: absolute;
    right: 0;
    top: 0;
    padding: 50px;
}

.position-line {
    text-align: right;
    margin-bottom: 10px;
}

.position-line > * {
    display: inline-block;
    vertical-align: middle;
}

.sparklines {
    margin-left: 10px;
}

h4.changed, dt.changed {
    color: orange;
}
h4.added, dt.added {
    color: green;
}
h4.removed, dt.removed {
    color: red;
}

dd ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

#jqstooltip {
    height: unset !important;
    width: unset !important;
    text-align: right;
}

.hitbox-effect table {
    margin: 5px;
    /*width: unset !important;*/
}
.hitbox-effect td.changed {
    background-color: #fcf8e3;
}
.hitbox-effect td.added {
    background-color: #dff0d8;
}
.hitbox-effect td.removed {
    background-color: #f2dede;
}
.hitbox-effect th, .hitbox-effect td {
    text-align: center;
}
.hitbox-effect tbody th {
    text-align: right;
    padding-right: 1em !important;
}
.hitbox-effect th label {
    font-weight: normal !important;
}
.hitbox-effect th label.changed {
    color: orange;
}
.version-menu, .version-selection {
    position: relative;
}
.version-menu .char-img, .version-selection .char-img {
    width: 200px;
    margin: 1em;
    right: 0;
    border: 1px solid gray;
    border-radius: 1em;
    position: absolute;
}
.version-menu .listing > a {
    border: 1px solid gray;
    border-radius: 5px;
    padding: 3px 15px;
    color: black;
    min-height: 30px;
    width: 25%;
    display: inline-block;
    vertical-align: top;
}
.version-selection {
    text-align: center;
}
.version-selection a {
    border: 1px solid gray;
    border-radius: 5px;
    padding: 3px 15px;
    color: black;
    min-height: 30px;
    width: 33%;
    display: block;
    vertical-align: top;
    margin: 0 auto;
}
.version-menu a:link, .version-menu a:visited, .version-menu a:hover, .version-menu a:active {
    text-decoration: none;
    color: black;
}
.version-menu object > a {
    background-color: white;
    border: 1px solid gray;
    border-radius: 3px;
    font-size: x-small;
    padding: 2px;
    display: inline-block;
}
.version-menu .listing .changed {
    background-color: #fcf0c3;
}
.version-menu .listing .added {
    background-color: #dff0d8;
}
.version-menu .listing .removed {
    background-color: #f2dede;
}
.motion-type {
    width: 3em;
    display: inline-block;
}
.move .motion-charge, .move .motion-buffer, .move .motion-direction, .move .motion-edge, .move .motion-button {
    display: inline-block;
    margin-right: 5px;
    border: 1px solid lightgray;
    padding: 3px;
    border-radius: 5px;
}
.cancel-list {
    border: 1px solid gray;
    padding: 5px;
    border-radius: 5px;
}
.cancel-list hr {
    margin: 5px;
    border-top: 1px solid lightgray;
}
.cancel-list h4 {
    margin: 0 1em 0 0;
    display: inline-block;
}
.cancel-list > div {
    display: inline;
    font-size: smaller;
}
.cancel-list > div > a {
    border: 1px solid lightgray;
    padding: 1px;
    line-height: 20px;
    border-radius: 5px;
}
.script-cancel-list h4 {
    display: inline-block;
    font-size: small;
}
.script-cancel-list a {
    border: 1px solid lightgray;
    padding: 1px;
    line-height: 20px;
    border-radius: 5px;
}
.cancel-list span.changed {
    background-color: #fcf0c3;
}
.cancel-list a {
    background-color: white;
}
.cancel-list a.changed {
    background-color: #fcf0c3;
}
.cancel-list a.added, .cancel-list.added  {
    background-color: #dff0d8;
}
.cancel-list a.removed, .cancel-list.removed {
    background-color: #f2dede;
}
.dl-horizontal dt {
    width: 230px;
}

.dl-horizontal dd {
    margin-left: 240px;
}
.listing img.direction {
    width: 25px;
}
.listing .input {
    float: right;
}
.listing img[alt="360"] {
    width: 25px;
}
.listing .motion-frames {
    font-weight: bold;
    margin-right: 0.4em;
    margin-left: 0.25em;
}
.listing .motion-edge {
    font-weight: bold;
    margin-left: 0.25em;
}
.scene {
    position: absolute;
    left: 300px;
    right: 0;
    bottom: 0;
    top: 0;
}
.navbar-brand {
    padding: 10px 15px 9px;
    height: unset;
}
.navbar-nav > li > a {
    padding: 10px 10px;
}
.navbar {
    min-height: unset;
}
.navbar-toggle {
    margin: 2px 15px;
}
.char-selection .char-img {
    width: 200px;
    display: inline-block;
    border-radius: 1em;
}
.char-selection .row a {
    height: 164px;
    width: 200px;
    display: inline-block;
    position: relative;
    margin: 1em;
    border: 1px solid gray;
    border-radius: 1em;
    vertical-align: top;
}
.char-label {
    position: absolute;
    bottom: 1em;
    left: 1em;
    border: 1px solid gray;
    background-color: white;
    padding: 5px 10px;
    border-radius: 10px;
}
@media (max-width: 990px) {
    .version-menu .listing > a {
        width: 50%;
    }
    h2 {
        overflow-wrap: break-word;
    }
    .main-body {
        overflow: auto;
    }
    .main-body > div {
        overflow: unset;
    }
    .main-body > div > div.col-lg-9 {
        height: unset;
    }
    .timeline-container {
        overflow-x: unset;
    }
    .navbar-nav > li > a {
        padding: 10px 5px;
        font-size: small;
    }
}
@media (max-width: 768px) {
    #nav {
        margin-bottom: 0 !important;
    }
    #rangebox {
        top: 0px;
    }
    #statebox {
        top: 180px;
    }
    .version-selection .char-img {
        position: unset;
    }
    .version-selection a {
        width: 75%;
    }
    .version-menu .listing > a {
        width: 100%;
    }
    .version-menu .char-img {
        display: none;
    }
    .dl-horizontal dd {
        margin-left: 40px;
    }
    .box-container, .positions, .main-body {
        position: relative;
    }
    .box-container {
        overflow: hidden;
    }
    .positions {
        padding: 10px;
        margin-right: 10px;
    }
    .main-body {
        bottom: unset;
        top: unset;
        overflow-x: auto;
    }
    .scene {
        left: 150px;
    }
    .navbar-nav > li > a {
        padding: 10px 10px;
        font-size: 14px;
    }
}